X509_ALGOR_DUP(3)

NAME
X509_ALGOR_dup, X509_ALGOR_set0, X509_ALGOR_get0, X509_ALGOR_set_md, X509_ALGOR_cmp - AlgorithmIdentifier functions

SYNOPSIS
 #include <openssl/x509.h>

 X509_ALGOR *X509_ALGOR_dup(X509_ALGOR *alg);
 int X509_ALGOR_set0(X509_ALGOR *alg, ASN1_OBJECT *aobj, int ptype, void *pval);
 void X509_ALGOR_get0(const ASN1_OBJECT **paobj, int *pptype,
                      const void **ppval, const X509_ALGOR *alg);
 void X509_ALGOR_set_md(X509_ALGOR *alg, const EVP_MD *md);
 int X509_ALGOR_cmp(const X509_ALGOR *a, const X509_ALGOR *b);

DESCRIPTION
X509_ALGOR_dup() returns a copy of alg.

X509_ALGOR_set0() sets the algorithm OID of alg to aobj and the associated parameter type to ptype with value pval. If ptype is V_ASN1_UNDEF the parameter is omitted, otherwise ptype and pval have the same meaning as the type and value parameters to ASN1_TYPE_set(). All the supplied parameters are used internally so must NOT be freed after this call.

X509_ALGOR_get0() is the inverse of X509_ALGOR_set0(): it returns the algorithm OID in *paobj and the associated parameter in *pptype and *ppval from the AlgorithmIdentifier alg.

X509_ALGOR_set_md() sets the AlgorithmIdentifier alg to appropriate values for the message digest md.

X509_ALGOR_cmp() compares a and b and returns 0 if they have identical encodings and non-zero otherwise.

RETURN VALUES
X509_ALGOR_dup() returns a valid X509_ALGOR structure or NULL if an error occurred.

X509_ALGOR_set0() returns 1 on success or 0 on error.

X509_ALGOR_get0() and X509_ALGOR_set_md() return no values.

X509_ALGOR_cmp() returns 0 if the two parameters have identical encodings and non-zero otherwise.

COPYRIGHT
Copyright 2002-2018 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.